*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}
button {
  background-color: transparent;
  color: inherit;
  border: none;
  padding: 10px;
  border-radius: 4px;
  cursor: pointer;
}
figure {
  margin: 0;
}
input::-moz-focus-inner {
  border: 0;
}
ul,
ol,
dd {
  list-style: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}
p {
  margin: 0;
}

body {
  background-color: #235b33;
}

/* -------------- container ------------- */

.container {
  width: 100%;
  min-width: 300px;
  height: 100%;
  padding: 0 10px;
  margin: 0 auto;
  
  @media screen and (max-width: 321px) {
    max-width: 300px;
  }
  
  @media screen and (max-width: 481px) {
    max-width: 460px;
  }
  
  @media screen and (min-width: 577px) {
    max-width: 550px;
  }
  
  @media screen and (min-width: 769px) {
    max-width: 740px;
  }
  
  @media screen and (min-width: 993px) {
    max-width: 970px;
  }
  
  @media screen and (min-width: 1201px) {
    max-width: 1180px;
  }
  
  @media screen and (min-width: 1221px) {
    max-width: 1200px;
  }
}

.display-toggle {
  padding: 20px 20px 0 0;

  & button {
    display: block;
    margin-left: auto;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    line-height: 1;
    color: white;
    border: 1px solid white;
  }
}